services:
    d2_courierit_service_definition_manager:
        class:          D2\CourierITBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_courierit_partner_file_manager:
        class:          D2\CourierITBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_courierit_waybill_manager:
        class:          D2\CourierITBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_courierit_service_definition_manager, @d2_calc_manager]

    d2_courierit_bundle.twig.courierit_extension:
        class:          D2\CourierITBundle\Twig\CourierITTwigExtension
        arguments:      [@doctrine, @service_container, @d2_courierit_partner_file_manager, @d2_courierit_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_courierit_bundle.waybill_with_selected.extension:
        class:          D2\CourierITBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: courierit_list }
            - { name: d2.with_selected, alias: courierit_waybill }
